Skip to main content
`Ctrl`+`K`

# PCPARMSSetSolveRestart

Sets the number of iterations at which the inner GMRES solver restarts.

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCPARMSSetSolveRestart(PC pc, PetscInt restart)

Collective

## Input Parameters

- pc - the preconditioner context

- restart - maximum dimension of the Krylov subspace

## Options Database Key

- -pc_parms_max_dim - sets the inner Krylov dimension

## Note

See the pARMS function parms_PCSetInnerKSize for more information.

## See Also

KSP: Linear System Solvers, `PCPARMS`, `PCPARMSSetSolveTolerances()`

## Level

intermediate

## Location

src/ksp/pc/impls/parms/parms.c

## Implementations

PCPARMSSetSolveRestart_PARMS() in src/ksp/pc/impls/parms/parms.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages